#
# Note that this is NOT a relocatable package
# $Id: gconf.spec.in,v 1.13.2.1 2001/02/27 18:32:12 hp Exp $
#
%define ver      1.0.1
%define rel      3
%define	prefix   %{_prefix}
%define name	 GConf
%define sysconfdir	/etc

Summary: Gnome Config System
Name: %name
Version: %ver
Release: %rel
Copyright: LGPL
Group: System Environment/Base
Source: ftp://ftp.gnome.org/pub/GNOME/unstable/sources/GConf/GConf-%{ver}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-root
Packager: Eskil Heyn Olsen <eskil@eazel.com>
URL: http://www.gnome.org
Prereq: /sbin/install-info
Prefix: %{prefix}
Docdir: %{prefix}/doc
Requires: glib >= 1.2.0
Requires: oaf >= 0.3.0
Requires: gtk+ >= 1.2.0
Requires: ORBit >= 0.5.0
Requires: libxml >= 1.8.0

%description
GConf is the GNOME Configuration database system.

GNOME is the GNU Network Object Model Environment.  That's a fancy
name but really GNOME is a nice GUI desktop environment.  It makes
using your computer easy, powerful, and easy to configure.

%package devel
Summary: Gnome Config System development package
Group: Development/Libraries
Requires: %name = %{ver}
Requires: ORBit-devel
Requires: glib-devel
Requires: oaf-devel
Requires: gtk+-devel
PreReq: /sbin/install-info

%description devel
GConf development package. Contains files needed for doing
development using GConf.

%changelog
* Wed Jun  6 2001 Peter Hanecak <hanecak@megaloman.sk>
- %%{_tmppath} and %%{name} used in BuildRoot
- .bz2 source archiv

* Tue May 15 2001 Havoc Pennington <hp@redhat.com>
- Fix post, pointed out by Bill

* Mon May 14 2001 Havoc Pennington <hp@redhat.com>
- Upgrade to 1.0.1

* Tue Apr 17 2001 Jonathan Blandford <jrb@redhat.com>
- Import to Red Hat build system.

* Sun Jun 11 2000  Eskil Heyn Olsen <deity@eazel.com>

- Created the .spec file

%prep
%setup

%build
%configure
make

%install
rm -fr %{buildroot}
%makeinstall
mv -f %{buildroot}/%{sysconfdir}/gconf/1/path.example %{buildroot}/%{sysconfdir}/gconf/1/path

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
GCONF_CONFIG_SOURCE="xml::/etc/gconf/gconf.xml.defaults" /usr/bin/gconftool --makefile-install-rule /etc/gconf/schemas/desktop.schemas; true

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%config %{sysconfdir}/gconf/1/*
%config %{sysconfdir}/gconf/schemas/*.schemas
%{prefix}/bin/gconf-config
%{prefix}/bin/gconf-config-1
%{prefix}/bin/gconfd-1
%{prefix}/bin/gconftool
%{prefix}/bin/gconftool-1
%{prefix}/lib/*.0
%{prefix}/lib/*.1
%{prefix}/lib/*.so
%{prefix}/lib/GConf/1/*.so
%{prefix}/share/locale/*/LC_MESSAGES/*.mo
%{prefix}/share/oaf/*.oafinfo


## /etc/gconf/schemas/desktop.schemas is notably missing;
## it will be shared between versions of GConf, preventing
## simulataneous installation, so maybe should be in 
## a different (minuscule) package.

%files devel
%defattr(-, root, root)
%{prefix}/lib/*.a
%{prefix}/lib/*.la
%{prefix}/lib/GConf/1/*.a
%{prefix}/lib/GConf/1/*.la
%{prefix}/include/gconf/1/gconf/*.h
%{prefix}/share/aclocal/*.m4
